Gutsy GDM problem : affects LTSP 4.x

There’s currently a problem with Ubuntu 7.10 (gutsy) gdm (gnome display manager) : XDMCP can’t be used to login remotely.

This means, among others, you’ll have problems logging in from LTSP 4.x terminal where the server is gutsy. LTSP 4.x still uses XDMCP for its terminals login.

Currently, as reported by Hendy Irawan (hi there), the problem still exists on the latest gdm patch (2.20.1-0ubuntu2).
Richard Seguin also reported that this issue still exist in Hardy Alpha 3.

There are several workarounds discussed in the bug report’s discussion.
But the one that works for me is to set the remote login to plain in gdmsetup. This is on plain gutsy install (eg: no updates installed)

You may ask – why LTSP 4.x ? Since Ubuntu already included LTSP5 since Ubuntu 5.x (hoary)
Well, LTSP5 seems to have problems with very old workstation and/or workstation with limited amount of RAM. LTSP 4.x is working just fine on these machines.

Anyway, hope it helps someone out there.

5 thoughts on “Gutsy GDM problem : affects LTSP 4.x

Leave a Reply

Your email address will not be published.